package com.skr.mdm.context;

import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.dto.LoginUserDTO;
import org.springframework.security.core.context.SecurityContextHolder;

/**
 * MDM认证上下文
 * @author nfq
 * @date 2023/10/9 17:26:03
 */
public class MdmAuthContext {

    /**
     * 获取管理员认证信息
     * @return 管理员认证信息
     */
    public static LoginAdminDTO getLoginAdmin() {
        return (LoginAdminDTO) SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    }

    /**
     * 获取用户认证信息
     * @return 用户认证信息
     */
    public static LoginUserDTO getLoginUser() {
        return (LoginUserDTO) SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    }
}
